%define major 	1
%define libname %mklibname mb %major
%define develname %mklibname -d mb

Summary: 	Libraries for the Matchbox Desktop
Name: 		libmatchbox
Version: 	1.9
Release: 	%mkrel 9
URL: 		http://matchbox-project.org
License: 	LGPLv2+
Group: 		System/Libraries
Source0:	http://matchbox-project.org/sources/%{name}/%{version}/%{name}-%{version}.tar.bz2
Patch0:		libmatchbox-1.9-libpng1.5.patch
BuildRequires:	libx11-devel
BuildRequires:	libxext-devel
BuildRequires:	libxft-devel
BuildRequires:	pango-devel
BuildRequires:	png-devel
BuildRequires:	jpeg-devel
BuildRequires:	Xsettings-client-devel

%description
Matchbox is a base environment for the X Window System running on non-desktop
embedded platforms such as handhelds, set-top boxes, kiosks and anything else
for which screen space, input mechanisms or system resources are limited.

%package -n	%{libname}
Group:		System/Libraries
Summary:	Inter-toolkit configuration settings

%description -n %{libname}
Libraries for the Matchbox Desktop.

%package -n %{develname}
Group:          Development/C
Summary:        Static libraries and header files from %{name}
Provides:	matchbox-devel = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	libmb-devel = %{version}-%{release}
Requires:       %{libname} = %{version}-%{release}
Obsoletes:	%mklibname -d mb 1

%description -n %{develname}
Static libraries and header files from %{name}

%prep
%setup -q
%patch0 -p0

%build
%configure2_5x --enable-xsettings --enable-png --enable-jpeg --enable-pango --disable-static
%make

%install
rm -rf %{buildroot}
%makeinstall_std

rm -f %{buildroot}%{_libdir}/*.la

%clean
rm -rf %{buildroot}

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/*.so.%{major}*

%files -n %{develname}
%defattr(-,root,root)
%doc AUTHORS ChangeLog README
%{_libdir}/pkgconfig/*.pc
%{_libdir}/*.so
%{_includedir}/libmb/*.h


%changelog

* Tue Sep 20 2011 fwang <fwang> 1.9-9.mga2
+ Revision: 145995
- fix build with latest libpgn
- rebuild for new libpng

* Tue Feb 08 2011 pterjan <pterjan> 1.9-8.mga1
+ Revision: 49245
- Drop old stuff
- imported package libmatchbox

